Subject: bug#57400: 29.0.50; Support sending patches from VC directly

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Aug 2022 15:28:36 +0300

> From: Antoine Kalmbach <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 26 Aug 2022 15:08:01 +0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > Also, I'm not sure why we'd need to send each patch file separately.
> >> > Why not add them one by one as attachments to the same email message?
> >> 
> >> This wouldn't work if we are sending patches to a mailing list that
> >> assumes patches are sent out by git send-email, and that the messages
> >> can be filtered through git am.
> >
> > "git am" handles attachments without any problems, I do it all the
> > time.
> 
> But you have to save the attached .patch files and then run git am on
> those.

No, I just use M-| from Emacs.

> > But I don't object to having optional behaviors here.  My point is
> > that we should allow sending all the patches together, as that is the
> > preferred/usual practice in Emacs development.
> 
> Yes, but users would have to apply the customization to get the Emacs
> way of working, I think.  

You are now arguing about the default value of that option?  Let's
delay that until the feature is done and the option is available,
okay?